/*
 * arpalab.c
 *
 *  Created on: Dec 6, 2012
 *      Author: jordi
 */

#include "LPC17xx.h"
#include <stdio.h>
#include <stdlib.h>
#include "driverWifly.h"

#define SSID "AndroidAP"
#define MODE "wpa"
#define PSWD "12345678"


/*****************************************************************************
** Function name:		connecInit
**
** Descriptions:		Initializes Wifly and connects to Internet
**
** parameters:			none
** Returned value:		none
**
*****************************************************************************/

void connecInit (){

/* We initialize Wifly */

		do {
			printText ( 3 , "Iniciant wifly...\r\n" );
		}
		while ( wiflyConnect () == 0 );

		printText ( 3 , "Wifly iniciada\r\n" );

		/* We connect to wi-fi network */

		do {
			printText ( 3 , "Connectant wifly a Internet...\r\n" );
		}
		while (	wiflyNetAccess ( SSID , MODE , PSWD ) == 0 );

		printText ( 3 , "Wifly connectada\r\n" );

}

/*****************************************************************************
** Function name:		reqData
**
** Descriptions:		Request a data to Arpalab through the Wifly module
**
** parameters:			Pointer to string to store the data
** Returned value:		1 if the request returns a valid data, 0 if not
**
*****************************************************************************/

uint8_t reqData (char * data){

	char getCommand[]= "GET /rest/feed HTTP/1.1";
	char reply[16];
	uint8_t valid;

	/* We send the HTTP request through Wifly driver */

	 valid = wiflySendHTTP ( getCommand, reply );

	 /* We copy the result to the string passed as parameter */

	 strcpy ( data , reply );

	 return valid;
}


/*****************************************************************************
** Function name:		lastDigit
**
** Descriptions:		Takes a number stored as a char, and returns the last digit
** 						as a  integer.
**
** parameters:			Pointer to number
** Returned value:		last digit of the number
**
*****************************************************************************/

uint8_t lastDigit ( char* data ){

	uint8_t i = 0;

	while ( data [i] != 0) i++;

	return data[i-1] - '0' ;
}

/*****************************************************************************
**                            End Of File
******************************************************************************/
